A critical issue has been discovered when upgrading Veritas Backup Reporter (VBR) to OpsCenter Analytics. If VBR is uninstalled after upgrading to OpsCenter 7.0, OpsCenter services will not start. Additionally, user credentials must be recreated for VxAT user accounts.

Article:TECH126226  |  Created: 2010-01-01  |  Updated: 2010-01-05  |  Article URL http://www.symantec.com/docs/TECH126226
Article Type
Technical Solution

Product(s)

Environment

Issue



A critical issue has been discovered when upgrading Veritas Backup Reporter (VBR) to OpsCenter Analytics. If VBR is uninstalled after upgrading to OpsCenter 7.0, OpsCenter services will not start. Additionally, user credentials must be recreated for VxAT user accounts.

Error



Internet Explorer cannot display the webpage
Server not found
Firefox can't find the server at

Solution



Introduction:
When upgrading a Windows VBR installation to OpsCenter, the Symantec OpsCenter Installation Wizard and Admin Guide currently suggests to manually uninstall VBR after upgrading to OpsCenter server.  However, If VBR is manually uninstalled, the OpsCenter services do not start and the login page does not display within the Web Browser, preventing login to the OpsCenter Console.  After resolving this condition, any VxAT user credentials must be recreated by going to OpsCenter user management and resetting the user password.  

This is due to a known issue where the Symantec Product Authentication service (VxAT)j is removed upon the uninstall of VBR server.  UNIX VBR/OpsCenter servers are not affected.  This issue is prevalent if the upgrade to OpsCenter is done as part of an upgrade to NetBackup 7.0, but can occur without upgrading to NetBackup 7.0


What is Affected:
Upgrades of VBR to OpsCenter 7.0 on all supported Windows platforms are affected.  OpsCenter 7.0 supports direct upgrades from VBR 6.5 GA and higher.


How to Determine if Affected:
OpsCenter will fail to start after upgrading to 7.0 if BOTH of the following are true:
- A supported version of VBR is upgraded to OpsCenter 7.0, on a supported Windows platform
- VBR is uninstalled in the process of upgrading to OpsCenter or OpsCenter Analytics.

Additionally, if the VX Login type is used, VxAT users will need to have their password redefined in OpsCenter.


Workarounds:
There are 2 workarounds available to prevent this issue and a third workaround that can be used if VBR/AT has already been uninstalled due to this issue.

Workaround A (preventative): Upgrade to OpsCenter without uninstalling AT
To prevent this issue from occurring, do not uninstall the Veritas Backup Reporter server software as directed during the OpsCenter installation.  Leave the VBR install on the system.

Workaround B (preventative): Execute a script before uninstalling VBR / AT
Do not uninstall VBR.  After upgrade from VBR to OpsCenter server,  run the script increment_AT_ref_count.vbs. This script lets allows VBR to be removed without uninstalling AT.  This script can be obtained by contacting Technical Support and mentioning this document ID.

Use the following procedure to uninstall VBR after upgrading to OpsCenter server on Windows platforms:

1.  Select Control Panel > Administrative Tools > Services and stop the Symantec Product Authentication Service.
2.  Navigate to the following location after upgrading from VBR to OpsCenter server: <install_path>\VERITAS\Security\Authentication
Note: On a 32-bit system the default install path is C:\Program Files. On a 64-bit Windows system, the default location is C:\Program Files (x86).
3.  Back up the systemprofile folder to another location, such as  D:\backup.
4.  Run the increment_AT_ref_count.vbs script. You need to run this script only once.
5.  Uninstall VBR from the system. See the Veritas Backup Reporter Guide for the exact instructions.
6.  Copy the systemprofile directory from the backup location and paste it to its original location (<install_path>\VERITAS\Security\Authentication).
7.  Select Control Panel > Administrative Tools > Services and start the Symantec Product Authentication Service.

Workaround C: If VBR/AT has already been uninstalled
Reinstall AT as directed in the following technote:


Formal Resolution:
As this issue is install/upgrade oriented, there is currently no formal resolution available.  Please refer to the workaround section to prevent or recover from this issue.


Best Practices:
Symantec strongly recommends the following best practices:
1. Always perform a full backup prior to, and after any changes to the environment.
2. Always make sure the environment is running the latest version and patch level.
3. Perform periodic "test" restores.
4. Subscribe to technical articles.


How to Subscribe to Email Notification:
Subscribe to this TechNote for any updates which are made to this article by clicking on the following link:
 http://maillist.support.veritas.com/notification.asp?doc=343756


Software Alerts:
If this technical information has not been received from the Symantec Technical Support Email Notification Service, please click on the following link to subscribe to future notifications:  
 http://maillist.entsupport.symantec.com/subscribe.asp

Supplemental Materials

SourceETrack
Value1952166
DescriptionUnable to connect to OpsCenter after an upgrade from VBR 6.6.0 and VBR is later uninstalled.


Legacy ID



343756


Article URL http://www.symantec.com/docs/TECH126226


Terms of use for this information are found in Legal Notices